
QGIS Application - Bug report #2551

SPIT crashes if path to shapefile contains cyrillic

2010-03-12 06:46 PM - dr -

Status: Closed

Priority: Low

Assignee:

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12611

Description

SPIT crashes if path to shapefile contains cyrillic, for example: "d:\\шейп\\".

Associated revisions

Revision c7af95b7 - 2011-02-09 05:27 PM - Jürgen Fischer

add support for UTF8 in GDAL/OGR 1.8 (fixes #2551)

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15148 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision a9a50ed1 - 2011-02-09 05:27 PM - Jürgen Fischer

add support for UTF8 in GDAL/OGR 1.8 (fixes #2551)

git-svn-id: http://svn.osgeo.org/qgis/trunk@15148 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision b7010156 - 2011-02-11 08:17 PM - Jürgen Fischer

fix #2551

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@15156 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 09300f6d - 2011-02-11 08:17 PM - Jürgen Fischer

fix #2551

git-svn-id: http://svn.osgeo.org/qgis/trunk@15156 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2010-03-12 07:04 PM - dr -

Also crashes when cyryllic contains in filename;

If filename contains symbol "-" SPIT returns error message.
#2 - 2010-06-12 02:13 AM - Paolo Cavallini

Does it work with [[PostGIS]] Manager plugin?

#3 - 2010-06-12 09:50 AM - dr -

With [[PostGIS]] Manager QGIS produces an error:

An error has occured while executing Python code:

Traceback (most recent call last):

  File "C:\\Documents and Settings\\Administrator/.qgis/python/plugins\\postgis_manager\\DlgLoadData.py", line 153, in onLoad

    res, err = self.load_data_win(out, args)

  File "C:\\Documents and Settings\\Administrator/.qgis/python/plugins\\postgis_manager\\DlgLoadData.py", line 227, in load_data_win

    p = os.popen3(cmdline)

[[UnicodeEncodeError]]: 'ascii' codec can't encode characters in position 55-57: ordinal not in range(128)

#4 - 2010-06-18 08:57 AM - Jürgen Fischer

- Status changed from Open to Closed

- Resolution set to wontfix

Replying to dr:

SPIT crashes if path to shapefile contains cyrillic, for example: "d:\\шейп\\".

I suppose this should be fixed in OGR.  See also the thread [[adding encoding file]] on the developer's mailing list.

#5 - 2011-02-08 12:45 PM - Jürgen Fischer

- Resolution deleted (wontfix)

- Status changed from Closed to Feedback

#6 - 2011-02-08 12:45 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to upstream

#7 - 2011-02-08 01:12 PM - Even Rouault

I'd note that since GDAL 1.8.0, this should now work after the work done in RFC30 (a more focused version of RFC 5), provided that QGIS passes UTF-8

filenames to GDALOpen() / OGROpen()

#8 - 2011-02-08 06:34 PM - dr -

If path to file contains Cyrillic symbol SPIT throws an error:
The following Shapefile(s) could not be loaded:

C:/personal/geo/рельеф/sfo.shp

----------------------------------------------------------------------------------------

REASON: File cannot be opened

#9 - 2011-02-09 08:25 AM - Jürgen Fischer

- Status changed from Closed to Feedback

- Resolution deleted (upstream)

#10 - 2011-02-09 08:28 AM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Feedback to Closed

Replying to [comment:8 rouault]:

I'd note that since GDAL 1.8.0, this should now work after the work done in RFC30 (a more focused version of RFC 5), provided that QGIS passes

UTF-8 filenames to GDALOpen() / OGROpen()

Thanks.  Missed that one.  Support for UTF8 in GDAL/OGR 1.8 added in .

#11 - 2011-02-11 10:10 AM - dr -

- Resolution deleted (fixed)

- Status changed from Closed to Feedback

SPIT still crashes if path contains cyrillic,

#12 - 2011-02-11 11:19 AM - Jürgen Fischer

should be fixed in commit:09300f6d (SVN r15157).

#13 - 2011-02-13 07:14 PM - dr -

- Status changed from Feedback to Closed

- Resolution set to fixed

Works for me now.
